using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace ExampleGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            gridGroupingControl1.TableDescriptor.Columns.Add("MyCountry", "Country");
            gridGroupingControl1.TableDescriptor.Columns.Add("CurrencyID", "CurrencyID");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable country = new DataTable();
            country.Columns.Add("Country", typeof(string));
            country.Columns.Add("CurrencyID", typeof(Int32));
            DataRow rw = country.NewRow();
            rw["Country"] = "USA";
            rw["CurrencyID"] = 1;
            country.Rows.Add(rw);

            rw = country.NewRow();
            rw["Country"] = "France";
            rw["CurrencyID"] = 2;
            country.Rows.Add(rw);

            DataTable currency = new DataTable();
            currency.Columns.Add("CurrencyID", typeof(Int32));
            currency.Columns.Add("Currency", typeof(string));

            rw = currency.NewRow();
            rw["Currency"] = "Euro";
            rw["CurrencyID"] = 2;
            currency.Rows.Add(rw);

            rw = currency.NewRow();
            rw["Currency"] = "Dollar";
            rw["CurrencyID"] = 1;
            currency.Rows.Add(rw);

            gridGroupingControl1.DataSource = country;
            gridGroupingControl1.TableDescriptor.Columns["CurrencyID"].Appearance.AnyRecordFieldCell.CellType = "ComboBox";
            gridGroupingControl1.TableDescriptor.Columns["CurrencyID"].Appearance.AnyRecordFieldCell.DisplayMember = "Currency";
            gridGroupingControl1.TableDescriptor.Columns["CurrencyID"].Appearance.AnyRecordFieldCell.ValueMember = "CurrencyID";
            gridGroupingControl1.TableDescriptor.Columns["CurrencyID"].Appearance.AnyRecordFieldCell.DataSource = currency;
            gridGroupingControl1.TableDescriptor.Columns["CurrencyID"].Appearance.AnyRecordFieldCell.DropDownStyle = GridDropDownStyle.AutoComplete;

            gridGroupingControl1.TableDescriptor.TopLevelGroupOptions.ShowFilterBar = true;
            gridGroupingControl1.TableDescriptor.Columns["MyCountry"].AllowFilter = true;
            gridGroupingControl1.TableDescriptor.Columns["CurrencyID"].AllowFilter = true;
        }
    }
}